<?php
/**
 * The template for displaying the footer
 * @subpackage Forest Adventure Tour
 * @since 1.0
 * @version 0.1
 */

?>
	<footer id="colophon" class="site-footer" role="contentinfo">
		<div class="footer-overlay"></div>
		<div class="container">
			<?php get_template_part( 'template-parts/footer/footer', 'widgets' ); ?>
		</div>
		<div class="copyright"> 
			<div class="container">
				<div class="row">
					<div class="col-md-12 pd-0"><?php get_template_part( 'template-parts/footer/site', 'info' ); ?></div>
				</div>
			</div>
		</div>
	</footer>
	<?php if (get_theme_mod('forest_adventure_tour_show_back_totop',true) != ''){ ?>
		<button role="tab" class="back-to-top"><span class="back-to-top-text"><?php echo esc_html__('Top', 'forest-adventure-tour'); ?></span></button>
	<?php }?>

<?php wp_footer(); ?>
</body>
</html>